%global _empty_manifest_terminate_build 0
Name:		python-zope-deferredimport
Version:	4.4
Release:	1
Summary:	zope.deferredimport allows you to perform imports names that will only be resolved when used in the code.
License:	ZPL 2.1
URL:		https://github.com/zopefoundation/zope.deferredimport
Source0:	https://github.com/zopefoundation/zope.deferredimport/archive/%{version}.tar.gz
BuildArch:	noarch

%description
Often, especially for package modules, you want to import names for convenience, but not actually perform the imports until necessary.
The zope.deferredimport package provided facilities for defining names in modules that will be imported from somewhere else when used.
You can also cause deprecation warnings to be issued when a variable is used.

%package -n python3-zope-deferredimport
Summary:	zope.deferredimport allows you to perform imports names that will only be resolved when used in the code.
Provides:	python-zope-deferredimport
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:       python3-zope-proxy

%description -n python3-zope-deferredimport
Often, especially for package modules, you want to import names for convenience, but not actually perform the imports until necessary.
The zope.deferredimport package provided facilities for defining names in modules that will be imported from somewhere else when used.
You can also cause deprecation warnings to be issued when a variable is used.

%package help
Summary:	Development documents and examples for zope.deferredimport
Provides:	python3-zope-deferredimport-doc

%description help
Development documents and examples for zope.deferredimport.

%prep
%autosetup -n zope.deferredimport-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-zope-deferredimport -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Thu Jun 23 2022 SimpleUpdate Robot <tc@openeuler.org> - 4.4-1
- Upgrade to version 4.4

* Thu Dec 17 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
